<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="<?php get_bloginfo('description'); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	
	<div class="dynamic_body container-fluid">
		<div class="row">
			<div id="page" class="site">

			<header id="site_header">
			<div class="logo_or_textinfo">
				<?php if ( has_custom_logo() ) : ?>
				    <div class='site-logo'>
				    	<?php echo get_custom_logo(); ?>
				    </div>
				<?php else : ?>
				    <hgroup>
				        <h1 class='site-title'><a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><?php esc_html ( bloginfo( 'name' ) ); ?></a></h1>
				        <h2 class='site-description'><?php bloginfo( 'description' ); ?></h2>
				    </hgroup>
				<?php endif; ?>
			</div>
			
			<div class="nav_div">
				<nav class="navbar" id="primary_nav_wrap">
				    <div class="container-fluid">
				        <div class="navbar-header">
				            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
				                <span class="sr-only"><?php _e('Toggle navigation', 'perk'); ?></span>
				                <span class="icon-bar"></span>
				                <span class="icon-bar"></span>
				                <span class="icon-bar"></span>
				            </button>
				            <!--<a class="navbar-brand visible-xs-block" href="/"></a>-->
				         </div>
				         <div id="navbar" class="navbar-collapse collapse">
				             <?php
				             wp_nav_menu( array(
					             'theme_location'    => 'header-menu',
					             'depth'             => 0,
					             'container'         => 'div',
					             'container_class'   => ' navbar-collapse',
					             'container_id'      => 'navbar-collapse-1',
					             'menu_class'        => 'nav navbar-nav',
					             'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
					             'walker'            => new wp_bootstrap_navwalker())
				             ); ?>
				         </div>
				    </div>
				</nav>
			</div>

			<div class="clear"></div>
			</header>
		<div class="page-wrap">
			<div class="site-content-contain">
				<div id="content" class="site-content">