<?php 

add_action( 'wp_enqueue_scripts', 'perk_enqueue_styles' );
function perk_enqueue_styles () {
	wp_enqueue_style( 'perk_bootstrap-style', get_template_directory_uri() . '/assets/bootstrap-3.3.7/css/bootstrap.min.css' );
	wp_enqueue_style( 'perk_parent-style', get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'perk_dynamic-style', get_template_directory_uri() . '/assets/css/dynamic_style.css'); // dynamic (empty at first) stylesheet
	
	wp_enqueue_script( 'perk_bootstrap-script', get_template_directory_uri() . '/assets/bootstrap-3.3.7/js/bootstrap.min.js', array('jquery'), '3.3.7');
	wp_enqueue_script( 'perk_sidebar-script', get_template_directory_uri('/assets/js/sidebar-admin.js'),  array('jquery') );
	
	$colors = get_option( 'perk_theme_colors' );
	$options = get_option( 'perk_theme_options' );
	
	$black = '#000000'; //$colors['color_black'];
	$white = '#ffffff'; //$colors['color_white'];
	
	$scheme = ( isset($options['color_scheme'] ) ? $options['color_scheme'] : '');
	$font = ( isset($options['font'] ) ? $options['font'] : '');
	$some_css = '';
	
	$img_css = '';
	if ( has_custom_logo() ) {
		$img_css = '.site-logo img {
			max-height: 144px;
		}

		header#site_header {
			max-height: 144px;
		}
		';
	} else {
		$img_css = '
		@media (min-width: 768px) {
			.navbar-nav>li>a {
		    	padding-top: 7px;
		    }
		}';
	}
	
	/******************************************************************
	 * FONT STYLES
	 ******************************************************************/
	switch ($font) {
		default:
		case 1:
			//$google_link = '<link href="https://fonts.googleapis.com/css?family=Martel+Sans:300|Martel:300|Montserrat:900" rel="stylesheet">';
			$google_link = 'https://fonts.googleapis.com/css?family=Martel+Sans:300|Martel:300|Montserrat:900';
			
			$h1_font = 'Montserrat';
			$h1_weight = '900';
			$h1_size = '48px';
			
			$h2_font = 'Montserrat';
			$h2_weight = '900';
			$h2_size = '36px';
			
			$h3_font = 'Martel Sans';
			$h3_weight = '300';
			$h3_size = '24px';
			
			$h4_font = 'Martel Sans';
			$h4_weight = '300';
			$h4_size = '21px';
			
			$h5_font = 'Martel Sans';
			$h5_weight = '300';
			$h5_size = '18px';
			
			$h6_font = 'Martel Sans';
			$h6_weight = '300';
			$h6_size = '16px';
			
			$menu_font = 'Martel Sans';
			$menu_weight = '300';
			$menu_size = '18px';
			
			$body_font = 'Martel';
			$body_weight = '300';
			$body_size = '18px';
			
			$btn_font = 'Martel Sans';
			$btn_weight = '600';
			$btn_size = '16px';
			break;
		case 2:
			$google_link = 'https://fonts.googleapis.com/css?family=Josefin+Sans|Oswald';
			
			$h1_font = 'Oswald';
			$h1_weight = '400';
			$h1_size = '48px';
			
			$h2_font = 'Oswald';
			$h2_weight = '400';
			$h2_size = '36px';
			
			$h3_font = 'Josefin Sans';
			$h3_weight = '400';
			$h3_size = '24px';
			
			$h4_font = 'Josefin Sans';
			$h4_weight = '300';
			$h4_size = '21px';
			
			$h5_font = 'Josefin Sans';
			$h5_weight = '300';
			$h5_size = '18px';
			
			$h6_font = 'Josefin Sans';
			$h6_weight = '300';
			$h6_size = '16px';
			
			$menu_font = 'Josefin Sans';
			$menu_weight = '400';
			$menu_size = '18px';
			
			$body_font = 'Josefin Sans';
			$body_weight = '400';
			$body_size = '18px';
			
			$btn_font = 'Josefin Sans';
			$btn_weight = '600';
			$btn_size = '16px';
			break;
		case 3:
			$google_link = 'https://fonts.googleapis.com/css?family=Lobster|Raleway:300';
			
			$h1_font = 'Lobster';
			$h1_weight = '400';
			$h1_size = '48px';
			
			$h2_font = 'Lobster';
			$h2_weight = '400';
			$h2_size = '36px';
			
			$h3_font = 'Raleway';
			$h3_weight = '300';
			$h3_size = '24px';
			
			$h4_font = 'Raleway';
			$h4_weight = '300';
			$h4_size = '21px';
			
			$h5_font = 'Raleway';
			$h5_weight = '300';
			$h5_size = '18px';
			
			$h6_font = 'Raleway';
			$h6_weight = '300';
			$h6_size = '16px';
			
			$menu_font = 'Raleway';
			$menu_weight = '300';
			$menu_size = '18px';
			
			$body_font = 'Raleway';
			$body_weight = '300';
			$body_size = '18px';
			
			$btn_font = 'Raleway';
			$btn_weight = '600';
			$btn_size = '16px';
			break;
		case 4:
			$google_link = 'https://fonts.googleapis.com/css?family=Anton|Playfair+Display';
			
			$h1_font = 'Anton';
			$h1_weight = '400';
			$h1_size = '48px';
			
			$h2_font = 'Anton';
			$h2_weight = '400';
			$h2_size = '36px';
			
			$h3_font = 'Playfair Display';
			$h3_weight = '400';
			$h3_size = '24px';
			
			$h4_font = 'Playfair Display';
			$h4_weight = '300';
			$h4_size = '21px';
			
			$h5_font = 'Playfair Display';
			$h5_weight = '300';
			$h5_size = '18px';
			
			$h6_font = 'Playfair Display';
			$h6_weight = '300';
			$h6_size = '16px';
			
			$menu_font = 'Anton';
			$menu_weight = '400';
			$menu_size = '21px';
			
			$body_font = 'Playfair Display';
			$body_weight = '400';
			$body_size = '18px';
			
			$btn_font = 'Anton';
			$btn_weight = '600';
			$btn_size = '21px';
			break;
	}
	
	/******************************************************************
	 * COLOR STYLES
	 ******************************************************************/
	switch ($scheme) {
		case 'PERK_MAGENTA_TAN':
			$color1 = '#002a32';
			$color2 = '#f40076';
			$color3 = '#bc5f04';
			$color4 = '#fb8b24';
			$color5 = '#d90368';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_BLUE_GREY_YELLOW':
			$color1 = '#2221bd';
			$color2 = '#a9afd1';
			$color3 = '#6b6b6b';
			$color4 = '#faa916';
			$color5 = '#525566';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_RED_GREY':
			$color1 = '#2221bd';
			$color2 = '#6b6b6b';
			$color3 = '#a31621';
			$color4 = '#fcf7f8';
			$color5 = '#ced3dc';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_BLUE_GREY':
			$color1 = '#86CD82';
			$color2 = '#7bdff2';
			$color3 = '#c9c9c9';
			$color4 = '#a3a3a3';
			$color5 = '#424242';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_EARTH':
			$color1 = '#584d3d';
			$color2 = '#9f956c';
			$color3 = '#cbbf7a';
			$color4 = '#fff282';
			$color5 = '#f0ff4f';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_GREY':
			$color1 = '#5c5b5d';
			$color2 = '#000000';
			$color3 = '#c9c9c9';
			$color4 = '#a3a3a3';
			$color5 = '#424242';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_PASTEL':
			$color1 = '#b09e99';
			$color2 = '#fee9e1';
			$color3 = '#fad4c0';
			$color4 = '#64b6ac';
			$color5 = '#c0fdfb';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_PURPLE':
			$color1 = '#3d348b';
			$color2 = '#BC30CC';
			$color3 = '#976391';
			$color4 = '#313e50';
			$color5 = '#5c6672';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_RED':
			$color1 = '#afaaaa';
			$color2 = '#75ffe3';
			$color3 = '#ef001b';
			$color4 = '#cc0010';
			$color5 = '#f9edcc';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_PINK':
			$color1 = '#780116';
			$color2 = '#cc7081';
			$color3 = '#ffd8df';
			$color4 = '#f2dce0';
			$color5 = '#d8b6bc';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_SEA':
			$color1 = '#7a918d';
			$color2 = '#92afaa';
			$color3 = '#99c1bb';
			$color4 = '#adede2';
			$color5 = '#b7fff3';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_YELLOW':
			$color1 = '#353531';
			$color2 = '#eded21';
			$color3 = '#ffff05';
			$color4 = '#baba01';
			$color5 = '#d9d9d9';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'PERK_GREEN':
			$color1 = '#073b3a';
			$color2 = '#0b6e4f';
			$color3 = '#08a045';
			$color4 = '#6bbf59';
			$color5 = '#ddb771';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		case 'custom':
			$color1 = (isset($colors['color_1']) ? $colors['color_1'] : '#002a32');
			$color2 = (isset($colors['color_2']) ? $colors['color_2'] : '#f40076');
			$color3 = (isset($colors['color_3']) ? $colors['color_3'] : '#bc5f04');
			$color4 = (isset($colors['color_4']) ? $colors['color_4'] : '#fb8b24');
			$color5 = (isset($colors['color_5']) ? $colors['color_5'] : '#d90368');
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
		default:
			$color1 = '#002a32';
			$color2 = '#f40076';
			$color3 = '#bc5f04';
			$color4 = '#fb8b24';
			$color5 = '#d90368';
			
			$color_white = '#ffffff';
			$color_black = '#000000';
			break;
	}
	
	$some_css .= '
.site a {
	color: ' . $color2 . ' !important;
}
			
.site a:hover {
	color: ' . $color5 . ' !important;
}

.zen_tool_main .zen_tool_btn_div a:hover {
	text-decoration: none;
}
			
input[type=submit],
input[type=button],
button {
	background-color: transparent ;
    border: 2px solid ' . $color2 . ' ;
    color: ' . $color2 . ' ;
}
    		
input[type=submit]:hover,
input[type=button]:hover,
button:hover {
	background-color: ' . $color2 . ' ;
    border: 2px solid ' . $color2 . ' ;
    color: white !important;
}

#searchform #s {
	font-family: ' . $body_font . ' !important;
}
    		
input:focus, textarea:focus {
	outline: none !important;
	border:1px solid ' . $color2 . ' ;
	box-shadow: 0 0 5px ' . $color2 . ' ;
}   	

.navbar-toggle:hover {
	background-color: transparent;
	border: 1px solid transparent;
}

.content-area h1, .dynamic_heading_1, h1.page-title {
	font-family: ' . $h1_font . ' !important;
	font-weight: ' . $h1_weight . ' !important;
	font-size: ' . $h1_size . ';
}
			
.content-area h2, .dynamic_heading_2 {
	font-family: ' . $h2_font . '!important;
	font-weight: ' . $h2_weight . '!important;
	font-size: ' . $h2_size . ';
}
			
.content-area h3, .dynamic_heading_3 {
	font-family: ' . $h3_font . '!important;
	font-weight: ' . $h3_weight . '!important;
	font-size: ' . $h3_size . ';
}

.content-area h4, .dynamic_heading_4 {
	font-family: ' . $h4_font . '!important;
	font-weight: ' . $h4_weight . '!important;
	font-size: ' . $h4_size . ';
}

.content-area h5, .dynamic_heading_5 {
	font-family: ' . $h5_font . '!important;
	font-weight: ' . $h5_weight . '!important;
	font-size: ' . $h5_size . ';
}

.content-area h6, .dynamic_heading_6 {
	font-family: ' . $h6_font . '!important;
	font-weight: ' . $h6_weight . '!important;
	font-size: ' . $h6_size . ';
}
			
nav,
.dynamic_menu,
.dynamic_menu ul li a {
	font-family: ' . $menu_font . ' !important;
	font-weight: ' . $menu_weight . ' !important;
	font-size: ' . $menu_size . ' ;
}
			
.dynamic_body {
	font-family: ' . $body_font . ' !important;
	font-weight: ' . $body_weight . ' !important;
	font-size: ' . $body_size . ' ;
}
			
button, input[type=button], .dynamic_button {
	font-family: ' . $btn_font . ' !important;
	font-weight: ' . $btn_weight . ' !important;
	font-size: ' . $btn_size . ' ;
}
			
.font_color_1 {
	color: ' . $color1 . ' !important;
}
			
.font_color_2 {
	color: ' . $color2 . ' !important;
}
			
.font_color_3 {
	color: ' . $color3 . ' !important;
}
			
.font_color_4 {
	color: ' . $color4 . ' !important;
}
			
.font_color_5 {
	color: ' . $color5 . ' !important;
}
			
.font_color_6 {
	color: ' . $white. ' !important;
}
			
.font_color_7 {
	color: ' . $black . ' !important;
}




.zen_btn_a .font_color_1 {
	border:2px solid  ' . $color1 . ' !important;
}
			
.zen_btn_a .font_color_2 {
	border:2px solid  ' . $color2 . ' !important;
}
			
.zen_btn_a .font_color_3 {
	border:2px solid  ' . $color3 . ' !important;
}
			
.zen_btn_a .font_color_4 {
	border:2px solid  ' . $color4 . ' !important;
}
			
.zen_btn_a .font_color_5 {
	border:2px solid  ' . $color5 . ' !important;
}
			
.zen_btn_a .font_color_6 {
	border:2px solid  ' . $white . ' !important;
}
			
.zen_btn_a .font_color_7 {
	border: 2px solid ' . $black . ' !important;
}




.zen_btn_a .font_color_1:hover {
	background-color:  ' . $color1 . ' !important;
}
			
.zen_btn_a .font_color_2:hover {
	background-color:  ' . $color2 . ' !important;
}
			
.zen_btn_a .font_color_3:hover {
	background-color:  ' . $color3 . ' !important;
}
			
.zen_btn_a .font_color_4:hover {
	background-color:  ' . $color4 . ' !important;
}
			
.zen_btn_a .font_color_5:hover {
	background-color:  ' . $color5 . ' !important;
}
			
.zen_btn_a .font_color_6:hover {
	background-color:  ' . $white . ' !important;
	color: ' . $black. ' !important;
}
			
.zen_btn_a .font_color_7:hover {
	border: 2px solid ' . $black . ' !important;
	color: ' . $white . ' !important;
}





			
.hover_color_1:hover {
	background-color: ' . $color1 . ' !important;
	color: white !important;
}
			
.hover_color_2:hover {
	background-color: ' . $color2 . ' !important;
	color: white !important;
}
			
.hover_color_3:hover {
	background-color: ' . $color3 . ' !important;
	color: white !important;
}
			
.hover_color_4:hover {
	background-color: ' . $color4 . ' !important;
	color: white !important;
}
			
.hover_color_5:hover {
	background-color: ' . $color5 . ' !important;
	color: white !important;
}
			
.hover_color_6:hover {
	background-color: ' . $white. ' !important;
	color: ' . $black . ' !important;
}
			
.hover_color_7:hover {
	background-color: ' . $black . ' !important;
	color: ' . $white . ' !important;
}
			
.background_color_1 {
	background-color: ' . $color1 . ' !important;
}
			
.background_color_2 {
	background-color: ' . $color2 . ' !important;
}
			
.background_color_3 {
	background-color: ' . $color3 . ' !important;
}
			
.background_color_4 {
	background-color: ' . $color4 . ' !important;
}
			
.background_color_5 {
	background-color: ' . $color5 . ' !important;
}
			
.background_color_6 {
	background-color: ' . $white . ' !important;
}
			
.background_color_7 {
	background-color: ' . $black . ' !important;
}
			







.footer_menu ul li a {
	color: ' . $color1 . ' !important;
}
			
.site-description {
	color: ' . $color2 . ' !important;
	font-size: ' . $h2_size . ';
}

.site-title {
	font-family: ' . $h1_font . ';
	font-size: ' . $h1_size . ' !important;
}
			
#primary_nav_wrap ul li a:hover,
.footer_menu ul li a:hover {
	color: ' . $color5 . ' !important;
}
			
#primary_nav_wrap ul,
#primary_nav_wrap ul ul {
	background: ' . $color1 . ' !important;
}
			
.dropdown-menu>li>a {
	color: ' . $color2 . ' !important;
	overflow: hidden;
}
			
.dropdown-menu {
	font-size: ' . $menu_size . ' !important;
}
			
.navbar .navbar-toggle .icon-bar {
    background-color: ' . $color2 . ' !important;
}
    		
#menu-footer-menu a {
	color: ' . $color1 . ' !important;
}
			
.footer-site-info {
	font-family: ' . $menu_font . ' !important;
}
			
#copyright_text {
	font-family: ' . $menu_font . ' !important;
	color: ' . $white . ' !important;
}
			
header#site_header {
	background-color: ' . $color4 . ' !important;
}
			
header#site_header .nav_div {
	background-color: ' . $color1 . ' !important;
	border-bottom: 5px solid ' . $color2 . ' !important;
}
			
header#site_header ul.sub-menu {
	border-bottom: 3px solid ' . $color2 . ' !important;
}

.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
	color: ' . $color2 . ' !important;
}

#primary_nav_wrap .nav .open>a {
	color: ' . $color2 . ' !important;
}
			
#copyright {
	background-color: ' . $color1 . ' !important;
}
			
.footer_menu {
	background-color: ' . $color2 . ' !important;
}
			
.footer-site-info {
	background-color: ' . $color4 . ' !important;
	color: ' . $white . ' !important;
}
			
.contact-page-header h1 {
	color: ' . $color2 . ' !important;
}
			
#site_header .site-logo {
	background-color: ' . $color4 . ' !important;
}
			
h2.dynamic_heading_2 .entry-title {
	color: ' . $color1 . ' !important;
}
			
.linkstyle {
	color: ' . $color2 . ' ;
}

.menu_section {
	background-color: ' . $color1 . ' !important;
}
			
.current-menu-item a {
	color: ' . $color4 . ' !important;
}';
	
	//echo $google_link;
	wp_enqueue_style( 'perk-google-fonts', $google_link );
	$was_applied = wp_add_inline_style ( 'perk_dynamic-style', $some_css . $img_css);
}
?>